// VERSION PARA VISUALIZAR RUTAS USUARIO EN APP

//ERROR HANDLER PARA FILE API

function errorHandler(e) {
  var msg = '';

  switch (e.code) {
    case FileError.QUOTA_EXCEEDED_ERR:
      msg = 'QUOTA_EXCEEDED-ERR';
      break;
    case FileError.NOT_FOUND_ERR:
      msg = 'NOT_FOUND_ERR';
      break;
    case FileError.SECURITY_ERR:
      msg = 'SECURITY_ERR';
      break;
    case FileError.INVALID_MODIFICATION_ERR:
      msg = 'INVALID_MODIFICATION_ERR';
      break;
    case FileError.INVALID_STATE_ERR:
      msg = 'INVALID_STATE_ERR';
      break;
    default:
      msg = 'Unknown Error';
      break;
  };

  console.log('Error: ' + msg);
}             
   
// FUNCION CALCULO DISTANCIA  

function distance(lat1, lon1, lat2, lon2){  
	var R = 6371; // km    
	var dLat = (lat2-lat1) * (Math.PI / 180);    
	var dLon = (lon2-lon1) * (Math.PI / 180);    
	var lat1 = lat1 * (Math.PI / 180);    
	var lat2 = lat2 * (Math.PI / 180);     
	var a = Math.sin(dLat/2) * Math.sin(dLat/2) + Math.sin(dLon/2) * Math.sin(dLon/2) * Math.cos(lat1) * Math.cos(lat2);     
	var c = 2 * Math.atan2(Math.sqrt(a), Math.sqrt(1-a));     
	var d = R * c;         
	return d;
}
 
 var map;
 var path;
    
	function init() {
		
				//var rutasel ="http://www.bicimapas.com.mx/"+query; PONER ENLACE A RUTA DE USUARIO
				
  			// Setup our map object
        map = new OpenLayers.Map('map_element', {
        	controls: [
        	new OpenLayers.Control.Zoom(),
        	new OpenLayers.Control.ScaleLine(),
        	new OpenLayers.Control.Attribution(),
        	new OpenLayers.Control.TouchNavigation({dragPanOptions: {enableKinetic: true}})
        	],
        	maxExtent: new OpenLayers.Bounds (-121.616821, 13.607919, -77.567276, 34.575615),
        	maxScale: 15000000,
        	minScale: 15000
        	});
        
       // Setup our layer objects
       
	    
var vector_style = {
            strokeColor: 'blue',
            strokeWidth: 3
            };
   
var trackPath = new OpenLayers.Feature.Vector(new OpenLayers.Geometry.LineString(trackCoords));
path = new OpenLayers.Layer.Vector("Ruta",{isBaseLayer:true, attribution:"BiciMapas&reg"});
path.addFeatures(trackPath);
path.style=vector_style;
map.addLayer(path);
var bounds = path.getDataExtent();
//var center = bounds.getCenterLonLat();
//map.setCenter(center,12);
map.zoomToExtent(bounds);
 
}
